%% Script Parameters
global parametersReceiver;                        	%
global parametersTransmitter;                     	%

%% Transmission parameters
roll_off_factor = 0.3;
symbol_rate = 2e5; % <5e6 because of oversampling.
frame_seq_no = 7;
center_frequency = 918e6;


%% Transmitter parameters
parametersTransmitter.symbol_rate=symbol_rate; % symbols/sec
parametersTransmitter.symbol_duration=1/parametersTransmitter.symbol_rate;
parametersTransmitter.oversampling_rate=16;
parametersTransmitter.sample_duration=parametersTransmitter.symbol_duration/parametersTransmitter.oversampling_rate;
parametersTransmitter.sample_rate=1/parametersTransmitter.sample_duration;

parametersTransmitter.roll_off_factor=roll_off_factor;
parametersTransmitter.number_of_symbols_in_filter=40;
parametersTransmitter.modulationOrder =1;
parametersTransmitter.carrierFrequency = center_frequency;

parametersTransmitter.backoff =3; % dB
parametersTransmitter.frame_seq_no = frame_seq_no;

parametersTransmitter.type = 'VSG';
parametersTransmitter.IP = '10.10.10.106';

parametersTransmitter.transmissionPower = -20; % dBm


%% Receiver parameters
parametersReceiver.roll_off_factor = roll_off_factor;
parametersReceiver.number_of_symbols_in_filter = 10;
parametersReceiver.symbol_rate = symbol_rate;                     % symbol rate of signal [symbols/sec]
parametersReceiver.oversampling_ratio =16;                 % oversampling ration of generated baseband signal
parametersReceiver.sample_rate = parametersReceiver.symbol_rate * parametersReceiver.oversampling_ratio;   % sample rate of IQ data vector that is generated
parametersReceiver.frame_seq_no = frame_seq_no;
parametersReceiver.msequence = mseq(2,parametersReceiver.frame_seq_no)';
parametersReceiver.header = [parametersReceiver.msequence parametersReceiver.msequence];
parametersReceiver.headerLengthSymbol = length(parametersReceiver.header);
parametersReceiver.headerLengthSample = length(parametersReceiver.header)*parametersReceiver.oversampling_ratio ;
parametersReceiver.msequenceLengthSymbol = length([parametersReceiver.msequence]);
parametersReceiver.msequenceLengthSample = length([parametersReceiver.msequence])*parametersReceiver.oversampling_ratio ;
parametersReceiver.type = 'VSA';
parametersReceiver.carrier_frequency = center_frequency;  % Center frequency of the modulated waveform (Hz)
parametersReceiver.measureTime = 3*parametersReceiver.headerLengthSample/ parametersReceiver.sample_rate ;              % Measurement time (s)
parametersReceiver.IP = '10.10.10.105';
parametersReceiver.mechAttenuation = '0';            % Mechanical attenuation in the signal analyzer(dB)