function [bestChannel,minimumMeanSquareError,fineTimingOffset] = channelEstimation_SlidingCorrelator(inputSignal, indexStart, NumberOfTap, scanRangeLimitForFineSynch)
global parametersReceiver;                        	% All receiver parameters.

disp(['Status: Channel estimation with Sliding Correlator...'])

minimumMeanSquareError = inf;
for k = -scanRangeLimitForFineSynch:scanRangeLimitForFineSynch
    receivedSignal_downsampled=downsample(inputSignal(indexStart-k : indexStart-k+(length(parametersReceiver.header))*parametersReceiver.oversampling_ratio-1),parametersReceiver.oversampling_ratio).';
    for tp = 1:NumberOfTap
        estimatedChannel(tp,k+scanRangeLimitForFineSynch+1) =  parametersReceiver.msequence  * receivedSignal_downsampled(tp:length(parametersReceiver.msequence)-1+tp)/(length(parametersReceiver.msequence)-1);
    end
    estimatedSignal  = filter(estimatedChannel(:,k+scanRangeLimitForFineSynch+1),1,parametersReceiver.msequence).';
    estimatedError   = estimatedSignal - receivedSignal_downsampled(1:end/2);
    % Normalized error sum
    meanSquareError = mean(abs(estimatedError).^2 );
    if meanSquareError < minimumMeanSquareError
        bestChannel = estimatedChannel(:,k+scanRangeLimitForFineSynch+1);
        minimumMeanSquareError = meanSquareError;
        fineTimingOffset = k;
    end
end