function [status, status_description, query_result] = agt_query(connection,SCPI)
% PSG/ESG Download Assistant, Version 2.0
% Copyright (C) 2003,2005 Agilent Technologies, Inc.
%
% function [status, status_description] = agt_query(connection,SCPI)
% The function sends SCPI commands to the instrument.
%
% Output:        
%   status                  integer     status of download. 0:succeeded, -1:failed
%   status_description      string      if status is < 0, status_description contains an error message.
%   query_result            string      if status is 0, query_result contains the result of the query.
% Input:
%   connection    a structure generated by the agt_newconnection function.
%   SCPI          a SCPI command. Note: use agt_sendcommand to send other SCPI commands.
%
response = query(connection,SCPI);
statusString = query(connection,'SYSTEM:ERROR?');

if strcmpi(statusString,['+0,"No error"' char(10)])
    status = 0;
else
    status = -1;
end

if (status <0) 
   status_description = statusString;
   query_result = [];
else
   status_description = 'succeeded';
   query_result = response;
end
