function [status, status_description] = agt_sendcommand(connection,SCPI)
% PSG/ESG Download Assistant, Version 2.0
% Copyright (C) 2003,2005 Agilent Technologies, Inc.
%
% function [status, status_description] = agt_sendcommand(connection,SCPI)
% The function sends SCPI commands to the instruemnt.
%
% Output:        
%   status               integer     status of sending a SCPI string. 0:succeeded, -1:failed
%                                    NOTE:  status only returns a status on whether or not the SCPI
%                                    string was sent to the signal generator.  It does not report
%                                    whether or not the SCPI string was valid.
%   status_description   string      if status is < 0, status_description contains an error message.
% Input:
%   connection    a structure generated by the agt_newconnection function.
%   SCPI          a SCPI command. Note: use agt_query to send query command.
%
fprintf(connection,SCPI);
status_description = query(connection,'SYSTEM:ERROR?');

if strcmpi(status_description,['+0,"No error"' char(10)])
    status = 0;
else
    status = -1;
end