function [status, status_description] = agt_setVisaTimeout(connection, timeout_setting)
% PSG/ESG Download Assistant, Version 2.0
% Copyright (C) 2005 Agilent Technologies, Inc.
%
% function [status, status_description] = agt_setVisaTimeout(connection, timeout_setting)
% The function sets the timeout setting of instrument connection.
%
% Output:        
%   status                  integer     status of agt_setVisaTimeout. 0:succeeded, -1:failed
%   status_description      string      if status is < 0, status_description contains an error message.
% Input:
%   connection         a structure generated by the agt_newconnection function.
%   timeout_setting    the timeout in milliseconds
%
connection.Timeout = timeout_setting;
status_description = query(connection,'SYSTEM:ERROR?');

if strcmpi(status_description,['+0,"No error"' char(10)])
    status = 0;
else
    status = -1;
end